Recent Posts

Pages: [1] 2 3 ... 10
1
AutoLISP (Vanilla / Visual) / Re: Lisp to Create multiple viewport
« Last post by francinez13 on Today at 09:22:42 AM »
Yes, I need something like what you've drawn.
Do you have a Lisp so I can test it?

I also got an answer on the Autodesk forum, but I can only create one view after another. (see attached lisp). If possible it would be nice to select all View before inserting in the layout.
2
Find them without any additional interaction? How would then this "needle point" be known? I maybe misunderstood first post, because for this "needle point" method you need to define that point
It could be done using this great intersection functions by Lee Mac, https://www.lee-mac.com/intersectionfunctions.html#intersectionsinset, it could be made to work with hatches. But if you found the working solution use that of course.
3
AutoLISP (Vanilla / Visual) / Re: "ssget everything" for a single point?
« Last post by Peter2 on Today at 06:43:31 AM »
Thanks, but maybe this leads to a wrong direction.

The main idea is: "Find overlapping hatches"

The discussion here https://forums.autodesk.com/t5/autocad-forum/check-for-overlapping-hatches/m-p/12730499#M1129617 shows the problem; the linked VLX has problems sometimes.

So the "needle-selection" is only a vague idea for a solution.
4
How about you ssget all hatches, then test if point (a needle) is inside a hatch, if yes add it to new selection set
5
AutoLISP (Vanilla / Visual) / Re: "ssget everything" for a single point?
« Last post by Peter2 on Today at 03:51:57 AM »
This gets everything inside the pickbox:
(setq ss (ssget ":E"))
For me, only the entity on the top.

Thanks to all; I see a confirmation that "selecting everything under a needle" is not possible.
A point (a needle) picks only the element on the top. To select the other elements too I need an cross-poly or a fence.
6
Thanks for that info Phil. Do appreciate your input.
7
AutoLISP (Vanilla / Visual) / Re: [request] Radiant Pipe Layout
« Last post by BIGAL on April 24, 2024, 08:23:53 PM »
Have another Google Like Ribarm I am sure there were multiple versions provided using different layout methods, finding the key words to use in the search is the hard part. I think even Lee-mac had a go. Its not in my field of interest so never saved.

https://www.cadtutor.net/forum/topic/43738-a-challenge-how-to-draw-this-floor-heating/page/2/
8
AutoLISP (Vanilla / Visual) / Re: Purge excess scales
« Last post by 3dwannab on April 24, 2024, 05:42:25 PM »
Thanks Gile, I was trying to remove a corrupt scale with the name of 1:1000 and at a ratio of 1:1 and your code was the only one that removed it and kept remaining objects and their scale intact.  See the attached file for your reference.

How do I call the function to create the scale list after purging?

I've tried:
Code: [Select]
(setq lst '(("20:1" 20 1)
            ("10:1" 10 1)
            ("5:1" 5 1)
            ("2:1" 2 1)
            ("1:1" 1 1)
            ("1:2" 1 2)
            ("1:5" 1 5)
            ("1:10" 1 10)
            ("1:20" 1 20)
            ("1:25" 1 25)
            ("1:50" 1 50)
            ("1:75" 1 75)
            ("1:100" 1 100)
            ("1:200" 1 200)
            ("1:250" 1 250)
            ("1:400" 1 400)
            ("1:500" 1 500)
            ("1:1000" 1 1000)
            ("1:1250" 1 1250)
            ("1:2500" 1 2500)
            ("1:5000" 1 5000)
           )
) ;_ end of setq

(SetScaleList lst)

I get the error:
Code: [Select]
error: bad argument type: lentityp nil
9
AutoLISP (Vanilla / Visual) / Re: [request] Radiant Pipe Layout
« Last post by kdub_nz on April 24, 2024, 04:32:45 PM »
Hi John,

Do you have a min/max centers and edge-cover for pipes ??

I imagine you'd prefer to maintain the default centers ( 12" in this case ) as much as possible.

For interest, what are the pipe sizes ( assumed dependant on area ) and bend details ( assumed threaded elbows )

added:  ( or 'welded' copper ?? )

added 2: are the floors precast or in-situ slabs ?

 :idea:

10
.NET / Re: Gems & other stuff ...
« Last post by kdub_nz on April 24, 2024, 03:32:56 PM »
Quote from: Jonathan Swift

May you live every day of your life.

Pages: [1] 2 3 ... 10